function [ f ] = Fw( X, R, W, sumW )
%F F(X)=\sum_{i<j}w_{ij}(r_{ij}-<x_i,x_j>)^2
%  F(X)=\sum_{i<j}w_{ij}(r_{ij}-<x_i,x_j>)^2

XXT=X*X';
n=size(R,1);
f=0.0;
for i=1:n
    for j=(i+1):n
        diff=R(i,j)- XXT(i,j);
        f=f+W(i,j)*diff^2;
    end
end
f=f/(4.0*sumW);
