function result = dFw( X, R, W, sumW )
% result = dFw( X, R, W )
% the differential of Fw
    
    [n,d]=size(X);
    result = zeros(n,d);
    XXT=X*X';
    for k=1:n
        for l=1:d
            for j=1:(k-1)
                result(k,l)=result(k,l)+W(k,j)*(R(k,j)-XXT(k,j))*X(j,l);
            end
            for j=(k+1):n
                result(k,l)=result(k,l)+W(k,j)*(R(k,j)-XXT(k,j))*X(j,l);
            end
        end
    end
    result = -2.0 * result / (4.0 * sumW);
